Auto-extend by order IDs
IPv4 type
The request allows to set auto-extend to IP addresses by order IDs using all IP addresses from orders for proxy type IPv4.
POST /client/api/v1/{apiKey}/extend/order/auto
Path parameters
apiKey*
String
Your personal API key.
Request body
proxyType*
String
Proxy type IPv4.
orderIds*
List
Order IDs for extend (can be obtained by another request with IP addresses).
All addresses from orders will be extended.
All orderIds are separated by commas, for example ["11111", "22222"]
rentPeriodDays*
Number
Number of days in the rental period (can be obtained by another request).
autoExtend*
Boolean
To enable auto-extend, this parameter must be true, to disable — false.
Responce
200: OK Success response
{
"success": true,
"proxyType": "IPv4",
"rentPeriodDays": 30,
"quantity": 1,
"ipAddressIds": [
"1111111111111111111"
],
"balance": 5,
"currency": "USD",
"error": null
}200: OK Error response
{
"success": false,
"proxyType": null,
"rentPeriodDays": 0,
"quantity": 0,
"ipAddressIds": [],
"balance": 5,
"currency": "USD",
"error": {
"code": 4,
"message": "Incorrect proxy type"
}
}IPv6 type
The request allows to set auto-extend to IP addresses by order IDs using all IP addresses from orders for proxy type IPv6.
POST /client/api/v1/{apiKey}/extend/order/auto
Path parameters
apiKey*
String
Your personal API key.
Request body
proxyType*
String
Proxy type IPv6.
orderIds*
List
Order IDs for extend (can be obtained by another request with IP addresses).
All addresses from orders will be extended.
All orderIds are separated by commas, for example ["11111", "22222"]
rentPeriodDays*
Number
Number of days in the rental period (can be obtained by another request).
autoExtend*
Boolean
To enable auto-extend, this parameter must be true, to disable — false.
Responce
Mobile type
The request allows to set auto-extend to IP addresses by order IDs using all IP addresses from orders for proxy type MOBILE.
POST /client/api/v1/{apiKey}/extend/order/auto
Path parameters
apiKey*
String
Your personal API key.
Request body
proxyType*
String
Proxy type MOBILE.
orderIds*
List
Order IDs for extend (can be obtained by another request with IP addresses).
All addresses from orders will be extended.
All orderIds are separated by commas, for example ["11111", "22222"]
rentPeriodDays*
Number
Number of days in the rental period (can be obtained by another request).
autoExtend*
Boolean
To enable auto-extend, this parameter must be true, to disable — false.
Responce
ISP type
The request allows to set auto-extend to IP addresses by order IDs using all IP addresses from orders for proxy type ISP.
POST /client/api/v1/{apiKey}/extend/order/auto
Path parameters
apiKey*
String
Your personal API key.
Request body
proxyType*
String
Proxy type ISP.
orderIds*
List
Order IDs for extend (can be obtained by another request with IP addresses).
All addresses from orders will be extended.
All orderIds are separated by commas, for example ["11111", "22222"]
rentPeriodDays*
Number
Number of days in the rental period (can be obtained by another request).
autoExtend*
Boolean
To enable auto-extend, this parameter must be true, to disable — false.
Responce
Last updated